[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.LastActiveControl

Tracks focus changes for the active form or the last active control on the current form.

## Declaration

Source position: forms.pp line 792

`public property TCustomForm.LastActiveControl : TWinControl read FLastActiveControl;`

## Description

LastActiveControl is a read-only TWinControl property used to track a change in the focus for the active form or the control on the current form instance. It is updated when changes are made to the ActiveControl property, or in the SetFocusedControl method.

## See also

TCustomForm.ActiveControl |  | Gets or sets the active control on the form.
TCustomForm.SetFocusedControl |  | Handles a focus change for a control (enter/exit messages).